import os, sys, bpy

user_dir = bpy.utils.user_resource("SCRIPTS", path="addons")
if not os.path.exists(user_dir):
    os.makedirs(user_dir)

link_src = os.path.join(os.path.dirname(__file__), "BlenderAddon")
link_tgt = os.path.join(user_dir, "penicillin");

print("link_src =", link_src)
print("link_tgt =", link_tgt)

if os.path.exists(link_tgt): os.remove(link_tgt)

if sys.platform == "win32":
    import _winapi
    _winapi.CreateJunction(link_src, link_tgt)
else:
    os.symlink(link_src, link_tgt, target_is_directory=True)

bpy.ops.preferences.addon_refresh()
bpy.ops.preferences.addon_enable(module="penicillin")